<% local view, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
%>

<% htmlviewfunctions.displaycommandresults({"editinterface"}, session) %>

<h1><%= html.html_escape(view.label) %></h1>
<DL><TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:right;" class="header">Interface</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Type</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Comment</TD>
	</TR>		
<% for i,intf in ipairs(view.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
		<% io.write(html.link{value = "editinterface?interface="..intf.interface.."&redir="..page_info.orig_action, label="Edit " }) %>
		</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:right;"><%= html.html_escape(intf.interface) %></TD>
		<TD style="padding-right:20px;white-space:nowrap;"><%= html.html_escape(intf.type) %></TD>
		<TD style="white-space:nowrap;" width="90%"><P class="error"><%= string.gsub(html.html_escape(intf.errtxt), "\n", "<BR>") %></P></TD>
	</TR>
<% end %>
</TABLE></DL>
